Page MenuHomeFreeBSD

D47273.diff
No OneTemporary

D47273.diff

diff --git a/tools/tools/git/git-arc.sh b/tools/tools/git/git-arc.sh
--- a/tools/tools/git/git-arc.sh
+++ b/tools/tools/git/git-arc.sh
@@ -154,7 +154,7 @@
#
get_bool_config()
{
- test "$(git config --bool --get $1 2>/dev/null || echo $2)" != "false"
+ test "$(git config --bool --get "$1" 2>/dev/null || echo "$2")" != "false"
}
#
@@ -228,7 +228,7 @@
{
local title
- title=$(echo $1 | sed 's/"/\\"/g')
+ title=$(echo "$1" | sed 's/"/\\"/g')
arc_list --no-ansi |
awk -F': ' '{
if (substr($0, index($0, FS) + length(FS)) == "'"$title"'") {
@@ -457,7 +457,7 @@
title=$(git show -s --format=%s "$commit")
diff=$(echo "$openrevs" | \
awk -F'D[1-9][0-9]*: ' \
- '{if ($2 == "'"$(echo $title | sed 's/"/\\"/g')"'") print $0}')
+ '{if ($2 == "'"$(echo "$title" | sed 's/"/\\"/g')"'") print $0}')
if [ -z "$diff" ]; then
echo "No Review : $title"
elif [ "$(echo "$diff" | wc -l)" -ne 1 ]; then
@@ -508,7 +508,7 @@
# Choice 3: We can find this user in the FreeBSD repo. They've submited
# something before, and they happened to use an email that's somewhat
# similar to their phab username.
- email=$(git log -1 --author "$(echo ${addr} | tr _ .)" --pretty="%aN <%aE>")
+ email=$(git log -1 --author "$(echo "${addr}" | tr _ .)" --pretty="%aN <%aE>")
if [ -n "${email}" ]; then
echo "${email}"
return

File Metadata

Mime Type
text/plain
Expires
Sat, Jul 25, 9:21 PM (18 h, 29 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
35498817
Default Alt Text
D47273.diff (1 KB)

Event Timeline